# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include cfssl::goose
class cfssl::goose {
  # stuffs for goose : a database migration tool used by CFSSL
  package { 'golang-1.16':
    ensure => present,
  }
  -> file { '/usr/local/bin/go':
    ensure => link,
    target => '/usr/lib/go-1.16/bin/go',
  }
  -> exec { 'install goose':
    command     => '/usr/local/bin/go get bitbucket.org/liamstask/goose/cmd/goose',
    creates     => "/home/${cfssl::sysuser}/go/bin/goose",
    user        => $cfssl::sysuser,
    environment => ["HOME=/home/${cfssl::sysuser}"],
    cwd         => '/tmp',
    require     => User[$cfssl::sysuser],
  }
}
